ruby-did-you-mean_1.2.1-1_all.deb


Advertisement

Description

ruby-did-you-mean - smart error messages for Ruby > 2.3

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename ruby-did-you-mean_1.2.1-1_all.deb
Package name ruby-did-you-mean
Package version 1.2.1
Package release 1
Package architecture all
Package type deb
Category ruby
Homepage https://github.com/yuki24/did_you_mean
License -
Maintainer Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Download size 14.03 KB
Installed size 62.00 KB
This package provides the infrastructure to produce smart error messages on
Ruby > 2.3.  When an undefined method is called, it will suggest similar
method names. It will also catch mispellings on known method names, such as
"initialize", and warn developers about them.
Starting with version 2.3, the Ruby interpreter will automatically load this
library on startup.

Alternatives

Package Version Architecture Repository
ruby-did-you-mean_1.2.1-1_all.deb 1.2.1 all Debian Main
ruby-did-you-mean - - -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package ruby-did-you-mean_1.2.1-1_all.deb
Source Package ruby-did-you-mean

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-did-you-mean deb package:
    # sudo apt-get install ruby-did-you-mean

Files

Path
/usr/lib/ruby/vendor_ruby/did_you_mean.rb
/usr/lib/ruby/vendor_ruby/did_you_mean/experimental.rb
/usr/lib/ruby/vendor_ruby/did_you_mean/jaro_winkler.rb
/usr/lib/ruby/vendor_ruby/did_you_mean/levenshtein.rb
/usr/lib/ruby/vendor_ruby/did_you_mean/spell_checker.rb
/usr/lib/ruby/vendor_ruby/did_you_mean/verbose.rb
/usr/lib/ruby/vendor_ruby/did_you_mean/verbose_formatter.rb
/usr/lib/ruby/vendor_ruby/did_you_mean/version.rb
/usr/lib/ruby/vendor_ruby/did_you_mean/core_ext/name_error.rb
/usr/lib/ruby/vendor_ruby/did_you_mean/experimental/initializer_name_correction.rb
/usr/lib/ruby/vendor_ruby/did_you_mean/experimental/ivar_name_correction.rb
/usr/lib/ruby/vendor_ruby/did_you_mean/formatters/plain_formatter.rb
/usr/lib/ruby/vendor_ruby/did_you_mean/formatters/verbose_formatter.rb
/usr/lib/ruby/vendor_ruby/did_you_mean/spell_checkers/key_error_checker.rb
/usr/lib/ruby/vendor_ruby/did_you_mean/spell_checkers/method_name_checker.rb
/usr/lib/ruby/vendor_ruby/did_you_mean/spell_checkers/name_error_checkers.rb
/usr/lib/ruby/vendor_ruby/did_you_mean/spell_checkers/null_checker.rb
/usr/lib/ruby/vendor_ruby/did_you_mean/spell_checkers/name_error_checkers/class_name_checker.rb
/usr/lib/ruby/vendor_ruby/did_you_mean/spell_checkers/name_error_checkers/variable_name_checker.rb
/usr/share/doc/ruby-did-you-mean/README.md
/usr/share/doc/ruby-did-you-mean/changelog.Debian.gz
/usr/share/doc/ruby-did-you-mean/changelog.gz
/usr/share/doc/ruby-did-you-mean/copyright
/usr/share/rubygems-integration/all/specifications/did_you_mean-1.2.1.gemspec

Changelog

2018-04-11 - Antonio Terceiro <terceiro@debian.org>
ruby-did-you-mean (1.2.1-1) unstable; urgency=medium
* New upstream version 1.2.1
* 0002-Skip-failing-test.patch: do that
2018-03-31 - Antonio Terceiro <terceiro@debian.org>
ruby-did-you-mean (1.2.0-2) unstable; urgency=medium
* debian/rules: add a sanity check to make sure gemspec version is taken
from source dir
* did_you_mean.gemspec: add patch to force loading version from source
directory
2018-03-31 - Antonio Terceiro <terceiro@debian.org>
ruby-did-you-mean (1.2.0-1) unstable; urgency=medium
[ Antonio Terceiro ]
* New upstream version 1.2.0
* Point Vcs-* to salsa repository
* Skip tests on Ruby < 2.5
* debian/ruby-tests.rake: skip experimental tests
* Refresh packaging with `dh-make-ruby -w`
* Bump debhelper compatibility level to 11
* Bump Standards-Version to 4.1.3, no changes needed
* Use https in debian/watch
[ C├ędric Boutillier ]
* Run wrap-and-sort on packaging files
2016-03-01 - Christian Hofstaedtler <zeha@debian.org>
ruby-did-you-mean (1.0.0-2) unstable; urgency=medium
* Team upload.
* Set Multi-Arch: foreign to allow crossinstall of ruby itself
* Set Standards-Version to 3.9.7 (no addtl. changes)
2016-01-19 - Antonio Terceiro <terceiro@debian.org>
ruby-did-you-mean (1.0.0-1) unstable; urgency=medium
* Initial release

See Also

Package Description
ruby-diff-lcs_1.3-1_all.deb McIlroy-Hunt longest common subsequence algorithm implementation
ruby-diffy_3.2.1-1_all.deb convenient way to diff strings in Ruby
ruby-directory-watcher_1.5.1-3_all.deb Watch directory/files and Generate events by file change
ruby-dirty-memoize_0.0.4-1_all.deb Similar to ruby-memoize, but for mutable and parameterizable objects
ruby-discordrb-webhooks_3.3.0-1_all.deb blackst0ne's fork of webhook client for discordrb
ruby-distribution_0.7.3+dfsg-1_all.deb Ruby library to work with probability distributions
ruby-diva_0.3.2-1_all.deb Implementation of expression for handling things for mikutter
ruby-dnsruby_1.61.2-1_all.deb Ruby DNS and DNSSEC client library
ruby-docile_1.1.5-2_all.deb Docile keeps your Ruby DSLs tame and well-behaved
ruby-docker-api_1.22.2-1_all.deb Ruby gem to interact with docker.io remote API
ruby-domain-name_0.5.20160216-2_all.deb Domain Name manipulation library for Ruby
ruby-doorkeeper_4.4.2-1_all.deb OAuth 2 provider for Rails and Grape
ruby-dotenv_2.4.0-1_all.deb configuration variable loader
ruby-eb_2.6-3+b8_amd64.deb EB library interface for the Ruby
ruby-ecasound_2.9.1-7_all.deb multitrack-capable audio recorder and effect processor (ruby bindings)
Advertisement
Advertisement